Bug 1299953 - Glance client error using IPv6 - ValueError: invalid literal for int() with base 10: 'fd00'
Summary: Glance client error using IPv6 - ValueError: invalid literal for int() with b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Emilien Macchi
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On: 1299855
Blocks: 1312983
TreeView+ depends on / blocked
 
Reported: 2016-01-19 15:34 UTC by Mike Burns
Modified: 2016-04-26 20:52 UTC (History)
15 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-109.el7ost
Doc Type: Bug Fix
Doc Text:
Overcloud deployments with IPv6 endpoints caused Glance to report a HTTP 500 error. This is due to how the director parsed IPv6 addresses. This fix corrects how the director parses the IPv6 address for Glance. Glance now works in IPv6-based Overclouds.
Clone Of: 1299855
: 1312983 (view as bug list)
Environment:
Last Closed: 2016-02-18 16:50:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Comment 1 Lon Hohberger 2016-01-19 15:45:38 UTC
Upstream gerrit review https://review.openstack.org/#/c/83586/ seems relevant but imports network_utils which do not exist in glanceclient 0.17.3.

This could be a rebase or a more extensive backport, but great care must be taken to preserve API / cmdline stability.

Comment 2 Flavio Percoco 2016-01-19 15:49:04 UTC
I've commented on the OSP8 patch about where this BZ belongs to. I don't think it'll be possible to backport the fix upstream but it depends on how it is tackled.

Comment 3 Flavio Percoco 2016-01-19 15:50:27 UTC
erm, I meant to say the OSP8 BZ ( https://bugzilla.redhat.com/show_bug.cgi?id=1299855#c3 )

Lon, this is not a glanceclient bug :(

Comment 4 Lon Hohberger 2016-01-19 15:52:48 UTC
Nope, that's not the right commit - it's been superseded by an import from oslo.utils.

Comment 5 Mike Burns 2016-01-19 19:02:25 UTC
Bug 1299855 comment 5 says:

I took a look at the environment and it seems to be a config issue. The registry_host, unlike the bind_host has to be a valid, parsable, ipv6 as it's a string read by glance-api to talk to glance registry. The value in the environment was missing the `[]` which are required by ipv6. Changing it to the one below seemed to have fixed the issue:

registry_host=[fd00:fd00:fd00:2000:f816:3eff:fedb:a219]

moving this to THT

Comment 7 Marius Cornea 2016-01-21 11:35:30 UTC
openstack-tripleo-heat-templates-0.8.6-110.el7ost.noarch

Comment 9 errata-xmlrpc 2016-02-18 16:50:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.